Skip to content

Identify card from image

POST
/cards/identify

Identify a card from an image, perceptual hash, or text hints. Returns confidence-scored matches.

object
image

Base64-encoded image or image URL

string
imageHash

Perceptual hash of the image (pHash)

string
game

TCG to limit search to

string
Allowed values: pokemon mtg yugioh lorcana onepiece
nameHint

Card name hint (from OCR or user input)

string
numberHint

Card number hint

string
setCodeHint

Set code hint

string

Card identification results

object
matches
Array<object>
object
cardId
string
tcg
string
Allowed values: pokemon mtg yugioh lorcana onepiece
name
string
cardNumber
string
setCode
string
setName
string
rarity
string
imageUrl
string format: uri
thumbnailUrl
string format: uri
confidence
string
Allowed values: verified high medium low
score
number
prices
object
marketCents
integer
lowCents
integer
highCents
integer
bestMatch
object
cardId
string
tcg
string
Allowed values: pokemon mtg yugioh lorcana onepiece
name
string
cardNumber
string
setCode
string
setName
string
rarity
string
imageUrl
string format: uri
thumbnailUrl
string format: uri
confidence
string
Allowed values: verified high medium low
score
number
prices
object
marketCents
integer
lowCents
integer
highCents
integer
processingMs
number